org.apache.derby.optional.api

## Class LuceneUtils

- java.lang.Object
- - org.apache.derby.optional.api.LuceneUtils

-     public abstract class LuceneUtils
      extends Object

  Utility methods for the Lucene optional tool.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LuceneUtils.DefaultIndexDescriptor` The default LuceneIndexDescriptor

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TEXT_FIELD_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.lucene.util.Version` | `currentVersion()` Get the version of the Lucene library on the classpath.
    `static org.apache.lucene.analysis.Analyzer` | `defaultAnalyzer()` Get the default Analyzer associated with the database Locale.
    `static LuceneIndexDescriptor` | `defaultIndexDescriptor()` Get the default index descriptor.
    `static org.apache.lucene.queryparser.classic.QueryParser` | `defaultQueryParser(org.apache.lucene.util.Version version, String[] fieldNames, org.apache.lucene.analysis.Analyzer analyzer)` Get the default, classic QueryParser.
    `static org.apache.lucene.analysis.Analyzer` | `getAnalyzerForLocale(Locale locale)` Get the Analyzer associated with the given Locale.
    `static org.apache.lucene.analysis.Analyzer` | `standardAnalyzer()` Get the StandardAnalyzer for parsing text.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT_FIELD_NAME

          public static final String TEXT_FIELD_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LuceneUtils

          public LuceneUtils()

  - ### Method Detail

    - #### currentVersion

          public static org.apache.lucene.util.Version currentVersion()

      Get the version of the Lucene library on the classpath.

    - #### defaultAnalyzer

          public static org.apache.lucene.analysis.Analyzer defaultAnalyzer()
                                                                     throws SQLException

      Get the default Analyzer associated with the database Locale.

      Throws:
        `SQLException`

    - #### getAnalyzerForLocale

          public static org.apache.lucene.analysis.Analyzer getAnalyzerForLocale(Locale locale)
                                                                          throws SQLException

      Get the Analyzer associated with the given Locale.

      Throws:
        `SQLException`

    - #### standardAnalyzer

          public static org.apache.lucene.analysis.Analyzer standardAnalyzer()

      Get the StandardAnalyzer for parsing text.

    - #### defaultQueryParser

          public static org.apache.lucene.queryparser.classic.QueryParser defaultQueryParser(org.apache.lucene.util.Version version,
                                                                                             String[] fieldNames,
                                                                                             org.apache.lucene.analysis.Analyzer analyzer)

      Get the default, classic QueryParser.

    - #### defaultIndexDescriptor

          public static LuceneIndexDescriptor defaultIndexDescriptor()

      Get the default index descriptor. This has a single field named TEXT, a defaultAnalyzer() and a defaultQueryParser().

Apache Derby 10.14 API Documentation - Copyright © 2004,2018 The Apache Software Foundation. All Rights Reserved.